<?php
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

if($status=="gost")
{
   echo'<div class="razd"><B>АВТОРИЗАЦИЯ</B></div>';
   if(isset($_SESSION['real_pr_kod'])){ $real_pr_kod = $_SESSION['real_pr_kod']; }else{ $real_pr_kod =""; }
   if(isset($_POST['pr_kod'])){$pr_kod = trim($_POST['pr_kod']);}
   
   if(isset($_POST['password'])){$password = trim($_POST['password']);}//обозначили пост переменные
   if(isset($_POST['uzer_login'])){$uzer_login = trim($_POST['uzer_login']);}////обозначили пост переменные
   ////////////////////////////////////////////////////////////////////////////////////////////
   ////////////////////////////////////////////////////////////////////////////////////////////
   ////////////////////////////////////////////////////////////////////////////////////////////
   if(empty($password) || empty($uzer_login) || empty($pr_kod))
   {
      echo'<form name="forma" action="avtoriza.php?'.SID.'" method="post">';
      echo'Логин<br>';
      echo'<input type="text" name="uzer_login" value="" size="10" maxlength="10"><br>';
      echo'Пароль<br>';
      echo'<input type="password" name="password" value="" size="10" maxlength="16"><br>';
      $real_pr_kod=htmlspecialchars(rand(1111,9999));
      $_SESSION['real_pr_kod']=$real_pr_kod;
      echo'Введите: <B>'.$real_pr_kod.'</B><br>';
      echo'<input type="text" name="pr_kod" value="" size="4" maxlength="4"><br>';
      echo'<input type="submit" name="" value="Авторизироваться"><br>';
      echo'</form>';
   }else
   {
      if ( eregi("[^a-zA-Z0-9]" , $uzer_login ) || eregi("[^a-zA-Z0-9]" , $password )){ echo'Вы ввели запрещённые символы<br>'; }else
      {
         if($real_pr_kod != $pr_kod){ echo'Проверочный код неправельный '; }else
         {
            if (file_exists("../data/uzer/$uzer_login.dat"))
            {
               $cfg = @file("../data/uzer/$uzer_login.dat");
               
               $cfg=explode("<||>",$cfg[0]);
               $pass_real = $cfg[0];
               if(md5(md5($password))==$pass_real)
               {
                  $password=md5($password);
                  $_SESSION['login']=$uzer_login;//если всё в порядке регистрируем сессию
                  $_SESSION['pass']=$password;//если всё в порядке регистрируем сессию
                  echo'Вы успешно авторизировались <a href="../index.php?'.SID.'">Далее</a><br>';
               }else
               {
                  echo'ОШИБКА<br>Логин или пароль неверен<br>'; 
               }
            }else
            {
               echo'ОШИБКА<br>Логин или пароль неверен<br>';
            }
         }
      }
   }
}

   ////////////////////////////////////////////////////////////////////////////////////////////
   ////////////////////////////////////////////////////////////////////////////////////////////
   ////////////////////////////////////////////////////////////////////////////////////////////


if($status=="ban" || $status=="uzer" || $status=="moder" || $status=="admin")
{
   echo'<div class="razd"><B>АВТОРИЗАЦИЯ</B></div>';
   echo'Вы уже авторизированны<br>';
}

echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>